Bug 135105 - udev does not create /dev/cdromX symlink for CDROM drive
Summary: udev does not create /dev/cdromX symlink for CDROM drive
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: udev   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-08 17:24 UTC by Ralf Ertzinger
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: udev-034-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-09 14:35:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Ertzinger 2004-10-08 17:24:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firefox/0.10.1

Description of problem:
udev fails to create a /dev/cdromX symlink for a single CDROM device
on the SCSI bus. The bus contains a DVD reader (scd0), a CD writer
(scd1) and a CDROM (scd2). The device nodes are created by udev when
sr_mod loads.

udev successfully creates a symlink pointing to scd0 (/dev/dvd1), two
symlinks pointing to scd1 (/dev/cdwriter1 and /dev/cdrom1), but no
symlink is created for scd2.

Version-Release number of selected component (if applicable):
udev-032-9

How reproducible:
Always

Steps to Reproduce:
1. Boot system, load sr_mod
2.
3.
    

Actual Results:  Symlink missing for one drive

Expected Results:  Symlinks for all drives

Additional info:

Comment 1 Ralf Ertzinger 2004-10-09 14:35:49 UTC
Fixed in rawhide


Note You need to log in before you can comment on or make changes to this bug.